import 'package:flutter/material.dart';

class TextContainer extends StatelessWidget {
  final String label;
  final TextEditingController? controller;
  final String? hint;

  const TextContainer({
    super.key,
    required this.label,
    this.controller,
    this.hint,
  });

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(vertical: 4),
      child: TextField(
        controller: controller,
        decoration: InputDecoration(
          labelText: label,
          hintText: hint,
          border: const OutlineInputBorder(),
        ),
      ),
    );
  }
}
